Get spending card activity

Retrieve a single issued card activity associated with a Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/issued-cards.read scope.

GET
/issuing/{accountID}/activity/{id}
The request completed successfully.
application/json
{
  "authorizationID": "string",
  "cardTransactionID": "string",
  "status": "pending",
  "issuedCardID": "string",
  "lastFourCardNumber": "stri",
  "authorizedUserAccountID": "string",
  "authorizedAmount": "-14.89",
  "clearedAmount": "-14.89",
  "declineReason": "insufficient-funds",
  "createdOn": "2019-08-24T14:15:22Z",
  "merchantData": {
    "networkID": "string",
    "name": "Whole Body Fitness",
    "city": "San Francisco",
    "country": "US",
    "postalCode": "94107",
    "state": "CA",
    "mcc": "7298"
  }
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string
Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, v2026.08.00 uses v2026.07.00. A malformed value, such as 2022, returns a 404 response.
Possible values: v2026.10.00

Path parameters

accountID

string required
The Moov business account for which cards have been issued.

id

string required
The identifier for the activity item, either authorizationID or cardTransactionID.

Response

application/json

createdOn

string<date-time> required

issuedCardID

string required

merchantData

object required
Show child attributes

country

string required
Two-letter country code.

mcc

string required
The Merchant Category Code.

networkID

string required
External identifier used to identify the merchant with the card brand.

city

string
The merchant's location.

name

string
Name of the merchant.

postalCode

string
The merchant's five-digit postal code.

state

string
The merchant's two-letter state abbreviation.

status

string<enum> required
Status of a card issuing authorization.
Possible values: pending, declined, canceled, cleared, expired

authorizationID

string
Identifier for the authorization. Present for all activity except cleared card transactions without a corresponding authorization.

authorizedAmount

string
Amount authorized on the card. Omitted for cleared card transactions without a corresponding authorization.
A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99.

authorizedUserAccountID

string
Identifier for the account of the card's authorized user.

cardTransactionID

string
Identifier for the settlement card transaction. Present for cleared card transactions without a corresponding authorization.

clearedAmount

string
Amount cleared or settled for the activity.
A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99.

declineReason

string<enum>
The reason an authorization or authorization event was declined. Only present if the authorization or event has been declined.
Possible values: insufficient-funds, card-not-active, card-expiration, spend-cutoff-reached, outside-allowed-schedule, spend-limit-exceeded, merchant-category-not-supported, merchant-category-restricted, merchant-restricted, merchant-country-not-supported, unsupported-transaction, network-stand-in, declined-by-issuer, invalid-request, system-error

lastFourCardNumber

string 4 characters
Last four digits of the card number.